Mangools/API

Get backlinks

Use this endpoint to get a list of backlinks for a specific URL, domain or URL path. It will return up to 500 backlinks per one page.

To get more backlinks you need to paginate with page parameter.

TIP: We recommend to set links_per_domain to 1 to get the most quality backlinks.

Limits

Each request is counted towards to your Backlink rows limit. It is reduced for each returned link.

GET
/linkminer/links

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Query Parameters

url*string

The URL, domain or path that we will return backlinks for.

source*integer

0 - all (default) 1 - new 2 - lost

page*integer

There is 500 links per page. Use any positive number to target a specific page. Starts from 0.

links_per_domain*integer

How many backlinks from one referring domain should be returned. 0 for all backlinks from the ref. domain. 1 for one backlink per ref. domain.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.mangools.com/v3/linkminer/links?url=string&source=0&page=0&links_per_domain=0"
{
  "url_type": "URL",
  "available_links": 804,
  "links": [
    {
      "source": "https://sourceexample.com",
      "target": "https://targetexample.com",
      "title": "Linux Systems Analyst",
      "url": "https://targetexample.com",
      "type": "TextLink",
      "anchor": "targetexample.com",
      "last_crawl": "2021-04-07",
      "first_seen": "2021-04-07",
      "last_seen": "2021-04-07",
      "source_tf": 14,
      "source_cf": 14,
      "target_tf": 14,
      "target_cf": 14,
      "redirect": false,
      "frame": false,
      "no_follow": false,
      "image": false,
      "alt": false,
      "deleted": false,
      "reason_lost": "null",
      "category": "null",
      "lang": "en",
      "internal_links": 11,
      "external_links": 35,
      "fb": "null",
      "ar": "null",
      "ls": 35,
      "_id": "c1030729bd419e238a1e50351361fa56",
      "domainId": "sourceexample.com"
    }
  ]
}
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}
{
  "error": {
    "type": "InvalidInput",
    "message": "Parameter url is invalid"
  }
}
{
  "error": {
    "type": "RateLimit",
    "message": "Not enough limits 2"
  }
}